import uniqueId from '@form-create/utils/lib/unique';
import {localeOptions, localeProps} from '../../utils';

const label = '日期';
const name = 'datePicker';

export const DEFAULT_FORMATS = {
    date: 'YYYY-MM-DD',
    month: 'YYYY-MM',
    datetime: 'YYYY-MM-DD HH:mm:ss',
    week: 'YYYY-wo',
    quarter: 'YYYY-QQ',
    year: 'YYYY'
};

export default {
    menu: 'main',
    icon: 'icon-date',
    label,
    name,
    input: true,
    event: ['change', 'ok'],
    sfc(rule) {
        if (!rule.props.valueFormat) {
            rule.props.valueFormat = DEFAULT_FORMATS[rule.props.type] || DEFAULT_FORMATS['date'];
        }
    },
    rule({t}) {
        return {
            type: name,
            field: uniqueId(),
            title: t('com.datePicker.name'),
            info: '',
            $required: false,
            props: {},
        };
    },
    props(_, {t}) {
        return localeProps(t, name + '.props', [{
            type: 'switch',
            field: 'disabled'
        }, {
            type: 'switch',
            field: 'bordered',
            value: true,
        }, {
            type: 'select',
            field: 'picker',
            options: localeOptions(t, [{label: 'year', value: 'year'}, {label: 'month', value: 'month'}, {
                label: 'date',
                value: 'date'
            }, {label: 'week', value: 'week'}, {
                label: 'quarter',
                value: 'quarter'
            }])
        }, {
            type: 'switch',
            field: 'showTime',
        }, {
            type: 'switch',
            field: 'allowClear',
        }, {type: 'switch', field: 'inputReadOnly'}, {
            type: 'input',
            field: 'placeholder'
        }, {
            type: 'input',
            field: 'format'
        }, {
            type: 'input',
            field: 'valueFormat'
        }]);
    }
};
