import {localeOptions, localeProps} from '../../utils';

const label = '描述列表';
const name = 'aDescriptions';

export default {
    menu: 'layout',
    icon: 'icon-descriptions',
    label,
    name,
    mask: false,
    rule() {
        return {
            type: name,
            props: {
                bordered: true
            },
            style: {
                width: '100%'
            },
            children: []
        };
    },
    children: 'aDescriptionsItem',
    childrenLen: 2,
    subRender({t, h, resolveComponent, subRule}) {
        return [
            {
                label: t('props.title'),
                vnode: h(resolveComponent('a-input'), {
                    size: 'small',
                    value: subRule.props.label,
                    'onUpdate:value': (v) => {
                        subRule.props.label = v;
                    }
                })
            }
        ]
    },
    props(_, {t}) {
        return localeProps(t, name + '.props', [{
            type: 'input',
            field: 'title',
            value: '',
        }, {
            type: 'input',
            field: 'extra',
            value: '',
        }, {
            type: 'inputNumber',
            field: 'column',
            value: 3,
            props: {min: 0}
        }, {
            type: 'switch',
            field: 'bordered'
        }, {
            type: 'select',
            field: 'layout',
            options: localeOptions(t, [{label: 'vertical', value: 'vertical'}, {
                label: 'horizontal',
                value: 'horizontal'
            }])
        }, {
            type: 'select',
            field: 'size',
            options: localeOptions(t, [{label: 'large', value: 'large'}, {label: 'middle', value: 'middle'}, {
                label: 'small',
                value: 'small'
            }])
        }]);
    }
};
