import {getInjectArg, localeProps} from '../../utils';

const name = 'fcDialog';

export default {
    name,
    icon: 'icon-dialog',
    label: '弹出框',
    drag: true,
    dragBtn: false,
    handleBtn: false,
    inside: false,
    mask: false,
    style: false,
    advanced: false,
    languageKey: ['close', 'ok'],
    event: ['confirm', 'submit', 'cancel', 'validateFail'],
    container: {
        formDataField: 'props.formData',
        labelField: 'props.title',
    },
    loadRule(rule) {
        rule.children = rule.props.rule || [];
        delete rule.props.rule;
    },
    parseRule(rule) {
        rule.props.rule = rule.children || [];
        rule.children = [];
    },
    rule({t}) {
        return {
            type: name,
            props: {
                title: t('com.' + name + '.name'),
            },
            children: [],
        };
    },
    props(_, {t}) {
        return localeProps(t, name + '.props', [
            {
                type: 'input',
                field: 'title',
            },
            {
                type: 'SizeInput',
                field: 'width',
                value: '50%'
            },
            {
                type: 'switch',
                field: 'fullscreen',
            },
            {
                type: 'switch',
                field: 'mask',
                value: true,
            },
            {
                type: 'switch',
                field: 'footer',
                value: true,
            },
            {
                type: 'switch',
                field: 'autoClose',
                value: true,
            },
            {
                type: 'FnInput',
                field: 'afterClose',
                props: {
                    body: true,
                    button: true,
                    fnx: true,
                    name: 'beforeClose',
                    args: [getInjectArg(t)],
                },
            }
        ]);
    }
};
