import {localeOptions, localeProps} from '../../utils';

const name = 'fcDrawer';

export default {
    name,
    icon: 'icon-dialog',
    label: '抽屉',
    drag: true,
    dragBtn: false,
    handleBtn: false,
    inside: false,
    mask: false,
    style: false,
    advanced: false,
    languageKey: ['close', 'ok'],
    event: ['confirm', 'submit', 'validateFail', 'afterOpenChange'],
    container: {
        formDataField: 'props.formData',
        labelField: 'props.title',
    },
    loadRule(rule) {
        rule.children = rule.props.rule || [];
        delete rule.props.rule;
    },
    parseRule(rule) {
        rule.props.rule = rule.children || [];
        rule.children = [];
    },
    rule({t}) {
        return {
            type: name,
            props: {
                title: t('com.' + name + '.name'),
            },
            children: [],
        };
    },
    props(_, {t}) {
        return localeProps(t, name + '.props', [
            {
                type: 'input',
                field: 'title',
            },
            {
                type: 'SizeInput',
                field: 'width',
                value: '30%'
            },
            {
                type: 'select',
                field: 'placement',
                options: localeOptions(t, [
                    {label: 'left', value: 'left'},
                    {label: 'right', value: 'right'}
                ], 'com.fcDrawer.placementType'),
                value: 'right',
            },
            {
                type: 'switch',
                field: 'mask',
                value: true,
            },
            {
                type: 'switch',
                field: 'footer',
                value: true,
            },
            {
                type: 'switch',
                field: 'autoClose',
                value: true,
            },
        ]);
    }
};
