import {localeOptions, localeProps} from '../../utils';

const label = '表单项';
const name = 'aFormItem';

export default {
    menu: 'container',
    icon: 'icon-form-item',
    label,
    name,
    drag: true,
    mask: false,
    event: false,
    rule({t}) {
        return {
            type: name,
            props: {
                label: t('com.aFormItem.name'),
            },
            children: []
        };
    },
    props(_, {t}) {
        return localeProps(t, name + '.props', [
            {type: 'input', field: 'label'}, {
                type: 'SizeInput',
                field: 'labelCol>style>width',
                value: '',
                title: t('form.labelCol'),
            },
            {
                type: 'radio',
                field: 'labelAlign',
                title: t('form.layout'),
                options: localeOptions(t, [
                    {value: 'left', label: 'left'},
                    {value: 'right', label: 'right'},
                ])
            },
        ]);
    }
};
