import uniqueId from '@form-create/utils/lib/unique';
import {getInjectArg, localeProps, makeOptionsRule} from '../../utils';

const label = '提及';
const name = 'aMentions';

export default {
    menu: 'main',
    icon: 'icon-mention',
    label,
    name,
    input: true,
    event: ['search', 'select', 'blur', 'focus', 'change'],
    validate: ['string'],
    rule({t}) {
        return {
            type: name,
            modelField: 'value',
            field: uniqueId(),
            title: t('com.aMentions.name'),
            info: '',
            $required: false,
            props: {
                options: [
                    {
                        label: 'Fuphoenixes',
                        value: 'Fuphoenixes',
                    },
                    {
                        label: 'kooriookami',
                        value: 'kooriookami',
                    },
                    {
                        label: 'Jeremy',
                        value: 'Jeremy',
                    },
                    {
                        label: 'btea',
                        value: 'btea',
                    },
                ]
            },
        };
    },
    props(_, {t}) {
        return localeProps(t, name + '.props', [
            makeOptionsRule(t, 'props.options'), {
                type: 'switch',
                field: 'disabled'
            }, {
                type: 'input',
                field: 'placeholder'
            }, {
                type: 'inputNumber',
                field: 'rows',
            }, {
                type: 'FnInput',
                field: 'filterOption',
                props: {
                    body: true,
                    button: true,
                    fnx: true,
                    args: [getInjectArg(t)],
                    name: 'filterOption',
                }
            }
        ]);
    }
};
