import {localeProps} from '../../utils';

const label = '文字提示';
const name = 'aTooltip';

export default {
    menu: 'aide',
    icon: 'icon-tooltip',
    label,
    name,
    drag: true,
    dragBtn: true,
    inside: false,
    mask: false,
    rule({t}) {
        return {
            type: name,
            props: {
                title: t('com.' + name + '.name')
            },
            children: []
        };
    },
    props(_, {t}) {
        return localeProps(t, name + '.props', [
            {
                type: 'input',
                field: 'title',
                props: {type: 'textarea'}
            },
            {
                type: 'ColorInput',
                field: 'color'
            },
            {
                type: 'select',
                field: 'placement',
                value: 'bottom',
                options: [
                    {label: 'top', value: 'top'},
                    {label: 'topLeft', value: 'topLeft'},
                    {label: 'topRight', value: 'topRight'},
                    {label: 'bottom', value: 'bottom'},
                    {label: 'bottomLeft', value: 'bottomLeft'},
                    {label: 'bottomRight', value: 'bottomRight'},
                    {label: 'left', value: 'left'},
                    {label: 'leftTop', value: 'leftTop'},
                    {label: 'leftBottom', value: 'leftBottom'},
                    {label: 'right', value: 'right'},
                    {label: 'rightTop', value: 'rightTop'},
                    {label: 'rightBottom', value: 'rightBottom'},
                ]
            },
            {
                type: 'select',
                field: 'trigger',
                value: 'hover',
                options: [
                    {label: 'hover', value: 'hover'},
                    {label: 'click', value: 'click'},
                    {label: 'focus', value: 'focus'},
                    {label: 'contextmenu', value: 'contextmenu'},
                ]
            },
            {
                type: 'inputNumber',
                field: 'mouseEnterDelay',
                props: {
                    min: 0
                }
            },
            {
                type: 'inputNumber',
                field: 'mouseLeaveDelay',
                props: {
                    min: 0
                }
            },
        ]);
    }
};
